summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorAdrian Perez de Castro2017-01-11 22:37:37 +0200
committerAdrian Perez de Castro2017-01-11 22:37:37 +0200
commit2e08c368a97f0541633a2f89e62f713f586f6cd8 (patch)
tree9702c65fc3d10c4a91ba0d3220445ce06a45795f
downloadaur-2e08c368a97f0541633a2f89e62f713f586f6cd8.tar.gz
Initial import
-rw-r--r--.SRCINFO14
-rw-r--r--PKGBUILD31
2 files changed, 45 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..282c0c3d99a
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,14 @@
+pkgbase = revolt-git
+ pkgdesc = Better desktop integration for Riot.im (not only) for GNOME
+ pkgver = r122.ecb9f8f
+ pkgrel = 1
+ url = https://github.com/aperezdc/revolt
+ arch = any
+ license = GPL3
+ depends = python-gobject
+ depends = webkit2gtk
+ source = revolt-git::git+https://github.com/aperezdc/revolt
+ sha512sums = SKIP
+
+pkgname = revolt-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..642f5ff6eba
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Adrián Pérez de Castro <aperez@igalia.com>
+pkgdesc='Better desktop integration for Riot.im (not only) for GNOME'
+pkgname='revolt-git'
+pkgver=r122.ecb9f8f
+pkgrel=1
+url='https://github.com/aperezdc/revolt'
+depends=('python-gobject' 'webkit2gtk')
+arch=('any')
+license=('GPL3')
+source=("${pkgname}::git+${url}")
+sha512sums=('SKIP')
+
+pkgver () {
+ cd "${pkgname}"
+ (
+ set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+build () {
+ cd "${pkgname}"
+ ./configure --prefix=/usr
+ make
+}
+
+package () {
+ cd "${pkgname}"
+ make install DESTDIR="${pkgdir}"
+}